=== debian/changelog ===
libpano13 (2.9.19+dfsg-3ubuntu0.20.04.1) focal-security; urgency=medium

  * SECURITY UPDATE: use of externally-controlled format string in PTcrop's
    output filename generation
    - debian/patches/CVE-2021-20307/*: Updates the help page, and checks the
      output prefix to not have "%" characters.
    - CVE-2021-20307
  * SECURITY UPDATE: invalid pointer dereferencing
    - debian/patches/CVE-2021-33293.patch: Checks the result of a strchr to
      not be NULL, avoiding a further dereferencing of an invalid pointer.
    - CVE-2021-33293

 -- George-Andrei Iosif <andrei.iosif@canonical.com>  Mon, 12 Jun 2023 16:19:14 +0300

libpano13 (2.9.19+dfsg-3) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * Build with hardening=+all.
  * For get-orig-source use /usr/share/dpkg/pkg-info.mk instead of parsing
    dpkg-parsechangelog output.
  * Use debhelper v10 mode:
    + Uses autoreconf by default, drop -with autotools_dev and the respective
      b-d.
    + Drop 10_workaround_libtool_link_as_needed_bug and pass option
      --as-needed to dh_autoreconf instead.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Sep 2017 14:39:18 +0200

libpano13 (2.9.19+dfsg-2) unstable; urgency=medium

  * B-d on libpng-dev instead of libpng12-dev. Closes: #662407

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Jan 2016 17:45:05 +0100

libpano13 (2.9.19+dfsg-1) unstable; urgency=medium

  * New upstream stable release, identical to rc1.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Jun 2014 13:38:05 +0200

libpano13 (2.9.19~rc1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 May 2014 13:28:13 +0200

libpano13 (2.9.19~rc1+dfsg-1) experimental; urgency=medium

  * Fix get-orig-source to handle rc/beta tarballs and switch over to xz
    compression.
  * New Upstream version.
    + Unfuzz 10_workaround_libtool_link_as_needed_bug.
    + Drop 20_initfilenameargs.diff.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 24 Apr 2014 20:11:31 +0200

libpano13 (2.9.19~beta1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Feb 2014 15:22:54 +0100

libpano13 (2.9.19~beta1+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Soname bumped, change runtime library package name.
  * Point vcs-* to anonscm.
  * Drop superfluous Breaks/Replaces with buggy libpano13-1 in PPA.
  * Build depend on libtiff-dev instead of libtiff4-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Dec 2013 14:49:54 +0100
