## libpano13 2.9.20~rc2+dfsg

=== debian/changelog ===
libpano13 (2.9.20~rc2+dfsg-2) experimental; urgency=low

  * Run "wrap-and-sort --max-line-length=72 --short-indent".
  * Use DEP-5 copyright.
  * Update watchfile, drop get-orig-source target.
  * Use dh 12 compat.
  * Add symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Jul 2019 14:09:58 +0200

libpano13 (2.9.20~rc2+dfsg-1) experimental; urgency=low

  * Set Rules-Requires-Root: no.
  * New upstream version.
  * 20_typo_fixes.diff: Fix two typos found by lintian.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Sep 2018 11:33:55 +0200

libpano13 (2.9.20~rc1+dfsg-1) experimental; urgency=low

  * New upstream version.
    + Also accepts *.jpeg as valid filename. Closes: #501237
  * [lintian] Fix trailing whitespace in debian/changelog.
  * Point Vcs* to salsa.
  * Use dh_missing.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Mar 2018 19:16:48 +0200
