## libpano13 2.9.20~rc3%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -26,9 +26,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
