## libpano13 2.9.20~rc3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
   set(CMAKE_INSTALL_PREFIX "${SOURCE_BASE_DIR}/libpano13" CACHE PATH "Install prefix for libpano")
 ENDIF(WIN32)
 
-set(HUGIN_SHARED OFF)
+SET(CMAKE_DEBUG_POSTFIX d)
 
 include(CheckIncludeFiles)
 
@@ -73,9 +73,11 @@
 #  finding the wxWidgets distributions of those packages on Windows.
 IF(WIN32)
   ADD_DEFINITIONS(-D__Win__)
-  OPTION(BUILD_DLL "Build dynamic libpano 13" OFF)
+  OPTION(BUILD_DLL "Build dynamic libpano 13" ON)
   OPTION(BUILD_WINGUI "Build with Windows GUI, otherwise the information is printed to shell/cmd.exe" OFF)
-  set(win_c "tools/compat_win32/getopt.c")
+  IF(MSVC)
+    set(win_c "tools/compat_win32/getopt.c")
+  ENDIF()
   IF(BUILD_WINGUI)
     SET(sys_c "sys_win.c")
     SET(sys_h "sys_win.h")
@@ -400,4 +402,3 @@
 set(CPACK_SET_DESTDIR "ON")
 
 # the next ones are needed by deb
-set(CPACK_PACKAGE_CONTACT "${PACKAGE_BUGREPORT}")
