=== debian/changelog ===
libpano13 (2.9.20~rc3+dfsg-1) unstable; urgency=high

  * New upstream version.
    + Drop cherrypicked patches.
    + Fixes format string bug. Closes: #985249

 -- Andreas Metzler <ametzler@debian.org>  Wed, 17 Mar 2021 17:30:22 +0100

libpano13 (2.9.20~rc2+dfsg-3) unstable; urgency=low

  * Update to upstream HG tip.
    + Replace 20_typo_fixes.diff with
      1_845_Fixes_2_typos__Patch_by_Andreas_Metzler_.diff.
  * Upload to unstable.
  * Use dh v13 compat mode.
    + Drop superfluous dh_missing override.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 13 Dec 2020 13:25:42 +0100
