=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Andreas Metzler <ametzler@debian.org>
 Build-Depends:
  chrpath,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libjpeg-dev,
  libpng-dev,
  libtiff-dev,
  libtiff-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libpano
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libpano.git -b libpano13/unstable
