## libpano13 2.9.21+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,9 +28,11 @@
 ## may need to edit the wxWidgets version number below.
 ##
 
-# require at least cmake 2.8
-cmake_minimum_required(VERSION 2.8)
-
+# require at least cmake 3.0
+cmake_minimum_required(VERSION 3.0)
+if(POLICY CMP0074)
+  cmake_policy(SET CMP0074 NEW)
+endif()
 #
 # find dependencies
 #
@@ -47,6 +49,7 @@
   set(CMAKE_MODULE_PATH ${SOURCE_BASE_DIR}/hugin/CMakeModules)
 ENDIF(HUGIN_BASE_DIR)
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}")
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules")
 
 IF(WIN32)
   set(CMAKE_INSTALL_PREFIX "${SOURCE_BASE_DIR}/libpano13" CACHE PATH "Install prefix for libpano")
@@ -59,14 +62,8 @@
 ##  global setup
 project(libpano13)
 
-set(MYLIB "lib")        # default
-if(CMAKE_INSTALL_PREFIX STREQUAL "/usr")
-  get_property(USE_64 GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS)
-  if(USE_64)
-    include(GNUInstallDirs)
-    set(MYLIB ${CMAKE_INSTALL_LIBDIR})
-  endif()
-endif()
+# support lib/lib64
+include(GNUInstallDirs)
 
 ##
 #  This must come before FINDs for tiff, jpeg, png, zlib to enable
@@ -117,6 +114,20 @@
 INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})
 
 set(_common_libs ${TIFF_LIBRARIES} ${ZLIB_LIBRARIES} ${JPEG_LIBRARIES} ${PNG_LIBRARIES})
+
+include(CheckLibraryExists)
+# Does explicit linking against libm work?
+check_library_exists(m exp "" LIBMNEEDED)
+if(LIBMNEEDED)
+  list(APPEND _common_libs "m")
+endif()
+
+# Sparse or dense Levenberg Marquardt
+OPTION(USE_SPARSE_LEVMAR "Use Sparse Levenberg Marquardt algorithm instead of dense Levenberg Marquardt algorithm" OFF)
+IF(USE_SPARSE_LEVMAR)
+  FIND_PACKAGE(SUITESPARSE REQUIRED)
+  LIST(APPEND _common_libs ${SUITESPARSE_LIBRARIES})
+ENDIF()
 
 #
 # Check build type and set options accordingly
@@ -233,7 +244,6 @@
 	hdrfile.c
 	jpeg.c
 	jpegicc.c
-	lmdif.c
 	math.c
 	metadata.c
 	morpher.c
@@ -264,17 +274,26 @@
 # We have some header files at top source level now
 include_directories(${CMAKE_SOURCE_DIR})
 
+IF(USE_SPARSE_LEVMAR)
+  LIST(APPEND pano13_hdr levmar.h)
+  LIST(APPEND pano13_src levmar.c)
+  ADD_DEFINITIONS(-DUSE_SPARSE_LEVENBERG_MARQUARDT)
+  INCLUDE_DIRECTORIES(${SUITESPARSE_INCLUDE_DIRS})
+ELSE()
+  LIST(APPEND pano13_src lmdif.c)
+ENDIF()
+
 if(NOT WIN32)
   # Create and install shared library on non-windows
-  add_library(pano13 SHARED ${pano13_hdr} ${pano13_res} ${pano13_src})
+  add_library(pano13 SHARED ${pano13_hdr} ${pano13_src})
   target_link_libraries(pano13 ${_common_libs})
   set_target_properties(pano13 PROPERTIES VERSION "3.0.0" SOVERSION "3")
-  install(TARGETS pano13 LIBRARY DESTINATION ${MYLIB} COMPONENT libraries)
+  install(TARGETS pano13 LIBRARY COMPONENT libraries)
   set(_pano_target pano13)
   #create and install static library
-  add_library(pano13a STATIC ${pano13_hdr} ${pano13_res} ${pano13_src})
+  add_library(pano13a STATIC ${pano13_hdr} ${pano13_src})
   set_target_properties(pano13a PROPERTIES OUTPUT_NAME pano13)
-  install(TARGETS pano13a ARCHIVE DESTINATION ${MYLIB} COMPONENT libraries)
+  install(TARGETS pano13a ARCHIVE COMPONENT libraries)
 else()
   IF(BUILD_DLL)
     # Create and install shared library
@@ -285,11 +304,11 @@
     IF(MINGW)
       set_target_properties(pano13 PROPERTIES PREFIX "")
     ENDIF()
-    install(TARGETS pano13 RUNTIME DESTINATION bin ARCHIVE DESTINATION lib LIBRARY DESTINATION lib COMPONENT libraries)
+    install(TARGETS pano13 COMPONENT libraries)
   ELSE(BUILD_DLL)
     #create and install static library
     add_library(pano13 STATIC ${pano13_hdr} ${pano13_res} ${pano13_src})
-    install(TARGETS pano13 ARCHIVE DESTINATION ${MYLIB} COMPONENT libraries)
+    install(TARGETS pano13 COMPONENT libraries)
   ENDIF(BUILD_DLL)
   set(_pano_target pano13)
 endif()
@@ -329,8 +348,6 @@
 
 set(TOP_SRC_DIR ${CMAKE_SOURCE_DIR})
 
-add_subdirectory(man)
-add_dependencies(${_pano_target} man)
 add_subdirectory(tools)
 add_dependencies(tools ${_pano_target})
 
@@ -343,13 +360,11 @@
   endif()
 endmacro(setstripped)
 
-file(STRINGS "${TOP_SRC_DIR}/configure.ac" _config_lines)
+file(STRINGS "${TOP_SRC_DIR}/version.h" _config_lines)
 foreach(_c_l ${_config_lines})
-  if(_c_l MATCHES "^AC_INIT\\(\\[\([^,]+\)\\], *\\[\([^,]+\)\\], *\([^,]+\)")
-    setstripped(PACKAGE_BASE ${CMAKE_MATCH_1})
-    setstripped(PACKAGE_VERSION ${CMAKE_MATCH_2})
-    setstripped(PACKAGE_BUGREPORT ${CMAKE_MATCH_3})
-    if(PACKAGE_VERSION MATCHES "^\([0-9]+\)\\.\([0-9]+\)\\.\([0-9]+\).*$")
+  if(_c_l MATCHES "^.define PTVERSION_FILEVERSIONNUMBER \([0-9]+,[0-9]+,[0-9]+\)")
+    setstripped(PACKAGE_VERSION ${CMAKE_MATCH_1})
+    if(PACKAGE_VERSION MATCHES "^\([0-9]+\),\([0-9]+\),\([0-9]+\)")
       message(STATUS "found version = ${PACKAGE_VERSION}")
       set(PANO_MAJOR_VERSION ${CMAKE_MATCH_1})
       set(PANO_MINOR_VERSION ${CMAKE_MATCH_2})
@@ -358,6 +373,16 @@
   endif()
 endforeach(_c_l)
 
+set(PACKAGE_BASE "pano13")
+set(PACKAGE_VERSION ${PANO_MAJOR_VERSION}.${PANO_MINOR_VERSION}.${PANO_PATCH_VERSION})
+set(PACKAGE_BUGREPORT "https://bugs.launchpad.net/panotools")
+
+# man pages need the version string
+if(NOT WIN32)
+add_subdirectory(man)
+add_dependencies(${_pano_target} man)
+endif()
+
 # create TAGS file
 ADD_CUSTOM_COMMAND( OUTPUT ctags POST_BUILD
                    COMMAND ctags-exuberant -e *.c *.h tools/*.c
@@ -371,34 +396,12 @@
 set(prefix ${CMAKE_INSTALL_PREFIX})
 set(exec_prefix ${CMAKE_INSTALL_PREFIX})
 set(includedir ${CMAKE_INSTALL_PREFIX}/include)
+if(DEFINED CMAKE_INSTALL_LIBDIR)
+  set(libdir "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
+else()
+  set(libdir "${CMAKE_INSTALL_PREFIX}/lib")
+endif()
 set(LIB_JPEG ${JPEG_LIBRARY})
 set(LIB_TIFF ${TIFF_LIBRARY})
 set(LIB_ZLIB ${ZLIB_LIBRARY})
 set(LIB_PNG ${PNG_LIBRARY})
-set(VERSION ${PACKAGE_VERSION})
-configure_file("${TOP_SRC_DIR}/libpano13.pc.in" "${CMAKE_BINARY_DIR}/libpano13.pc" @ONLY)
-install(FILES "${CMAKE_BINARY_DIR}/libpano13.pc" DESTINATION "${MYLIB}/pkgconfig" COMPONENT libraries)
-
-set(CPACK_PACKAGE_VERSION_MAJOR "${PANO_MAJOR_VERSION}")
-set(CPACK_PACKAGE_VERSION_MINOR "${PANO_MINOR_VERSION}")
-set(CPACK_PACKAGE_VERSION_PATCH "${PANO_PATCH_VERSION}")
-set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
-
-set(CPACK_SOURCE_IGNORE_FILES
-"/BUILD/"
-"~$"
-"\\\\.swp$"
-"\\\\.history$"
-"\\\\.orig$"
-"\\\\.#"
-"\\\\.hg/"
-"\\\\.hgignore$"
-"\\\\.hgeol$"
-"\\\\.hgtags$"
-"\\\\.cvsignore$"
-)
-
-# needed by rpm
-set(CPACK_SET_DESTDIR "ON")
-
-# the next ones are needed by deb
