=== debian/changelog ===
libpano13 (2.9.21+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  *  Apply multi-arch hints:
     + libpano13-dev: Add Multi-Arch: same.

  [ Andreas Metzler ]
  * 917_da06997f4c2f_Include__arpa_inet_h__if_it_is_available__for_the_htons_function_macro.diff
    from upstream HG: C99 compatibility fix by Florian Weimer.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Jan 2023 08:03:47 +0100

libpano13 (2.9.21+dfsg-2) unstable; urgency=high

  * Upload to unstable.
  * Add CVE-reference to previous changelog entry.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 21 Mar 2022 18:24:48 +0100

libpano13 (2.9.21+dfsg-1) experimental; urgency=medium

  * Run wrap-and-sort -ast.
  * New upstream version, fixes CVE-2021-33293.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 31 Dec 2021 13:03:37 +0100

libpano13 (2.9.21~rc2+dfsg-1) experimental; urgency=medium

  * New upstream version.
   + Drop patches. (All were pulled from upstream HG)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Dec 2021 16:24:48 +0100

libpano13 (2.9.21~rc1+dfsg-2) experimental; urgency=medium

  * 10_8_84b6a82c8afc_Fix_for_bigendian_architectures__Thomas_Modes_.diff
    fixes testsuite error on big endian.
  * 20_pkgconfig_multiarch.diff applied upstream, renamed.
  * 10_7_4d12cc78cc80_Fix_support_for_lib_lib64_installation_dirs.diff - Use
    include(GNUInstallDirs)

 -- Andreas Metzler <ametzler@debian.org>  Wed, 03 Nov 2021 18:18:39 +0100

libpano13 (2.9.21~rc1+dfsg-1) experimental; urgency=low

  * New upstream version.
    + autoconf build system was dropped, switch to cmake build. (Add b-d,
      update dh_auto_configure override, drop dh_autoreconf override.)
    + Install additional documentation, list uninstalled files to make
      dh_missing happy.
    + Update symbol file.
    + Build fixes from upstream HG:
      10_1_af97aa936771_Fixes_generation_of_libpano13_pc_file.diff
      10_2_343847e37b1f_Remove_Windows_rc_files_from_file_list_for_Unix.diff
      10_3_2822f00918bc_Install_tools_in_all_configurations.diff
      10_4_b6aef04b6318_Let_CMake_for_itself_figure_out_the_lib_directory.diff
      10_5_1b0e1a205121_Check_if_linking_against_libm_is_needed.diff.
    + 20_pkgconfig_multiarch.diff Fix pkg-config file contents and location.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Oct 2021 13:53:00 +0200
