=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Andreas Metzler <ametzler@debian.org>
+Uploaders:
+ Andreas Metzler <ametzler@debian.org>,
 Build-Depends:
  chrpath,
+ cmake,
  debhelper-compat (= 13),
  libjpeg-dev,
  libpng-dev,
  libtiff-dev,
- libtiff-tools
-Standards-Version: 4.5.1
+ libtiff-tools,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libpano
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libpano.git -b libpano13/unstable
@@ -19,7 +21,10 @@
 Package: libpano13-dev
 Section: libdevel
 Architecture: any
-Depends: libpano13-3 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libpano13-3 (= ${binary:Version}),
+ ${misc:Depends},
+Multi-Arch: same
 Description: panorama tools library development files
  This package contains the panoramatools library. It provides basic
  algorithmic tools to generate, edit and transform many kinds of
@@ -30,9 +35,13 @@
 
 Package: libpano13-3
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Suggests: libpano13-bin
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Suggests:
+ libpano13-bin,
 Multi-Arch: same
 Description: panorama tools library
  This package contains the panoramatools library. It provides basic
@@ -42,9 +51,13 @@
 Package: libpano13-bin
 Section: graphics
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libpano12-bin
-Replaces: libpano12-bin
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Conflicts:
+ libpano12-bin,
+Replaces:
+ libpano12-bin,
 Multi-Arch: foreign
 Description: panorama tools utilities
  This package contains the following tools, all part of the Panorama Tools
