## libpano13 2.9.22~rc2+dfsg

=== debian/changelog ===
libpano13 (2.9.22~rc2+dfsg-1) unstable; urgency=low

  * New upstream version.
    + Drop cherry-picked patch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Aug 2023 18:19:02 +0200
