## libpano13 2.9.22+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,6 @@
   version.h
   panotypes.h
   PTcommon.h
-  pt_stdint.h
   file.h
   queryfeature.h
   pteditor.h
