=== debian/changelog ===
libpano13 (2.9.22+dfsg-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:54:44 +0000

libpano13 (2.9.22+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062564

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:14:34 +0000

libpano13 (2.9.22+dfsg-1) unstable; urgency=medium

  * Drop Apple's "XCode" IDE file PanoTools.pbproj.tgz from tarball.
  * New upstrea, identical to rc2.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 20 Sep 2023 11:19:28 +0200
