=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libpano13
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  chrpath,
  cmake,
  debhelper-compat (= 13),
@@ -22,7 +23,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libpano13-3 (= ${binary:Version}),
+ libpano13-3t64 (= ${binary:Version}),
  ${misc:Depends},
 Multi-Arch: same
 Description: panorama tools library development files
@@ -33,7 +34,10 @@
  This package holds static libraries and headers needed by developers
  who wish to use libpano13 in their programs.
 
-Package: libpano13-3
+Package: libpano13-3t64
+Provides: ${t64:Provides}
+Replaces: libpano13-3
+Breaks: libpano13-3 (<< ${source:Version})
 Architecture: any
 Depends:
  ${misc:Depends},
