=== debian/changelog ===
libpano13 (2.9.23~rc1+dfsg-1) experimental; urgency=medium

  * New upstream version.
  * Drop all patches.
  * Copy updated GPL licence grant to debian/copyright.
  * Two unused symbols were dropped upstream, update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 06 Oct 2025 18:18:09 +0200

libpano13 (2.9.22+dfsg-4) unstable; urgency=medium

  * Bump cmake compat to >= 3.5. (Closes: #1113183)
  * Run wrap-and-sort -ast
  * Bump Standards-Version

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Sep 2025 13:11:21 +0200

libpano13 (2.9.22+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Aug 2025 16:34:10 +0200

libpano13 (2.9.22+dfsg-2) experimental; urgency=medium

  * Cherry-pick patches from upstream HG and
    https://bugs.launchpad.net/panotools/+bug/2096612 to fix ftbfs with
    GCC-15. Closes: #1097246

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Jul 2025 13:36:24 +0200
