=== debian/changelog ===
libpano13 (2.9.23+dfsg-1) unstable; urgency=low

  * New upstream version, identical to rc1.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Oct 2025 13:52:04 +0200
