=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: libpano13
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  chrpath,
- cmake,
- debhelper-compat (= 13),
+ cmake (>= 3.5),
  libjpeg-dev,
  libpng-dev,
  libtiff-dev,
  libtiff-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libpano
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libpano.git -b libpano13/unstable
@@ -35,9 +35,12 @@
  who wish to use libpano13 in their programs.
 
 Package: libpano13-3t64
-Provides: ${t64:Provides}
-Replaces: libpano13-3
-Breaks: libpano13-3 (<< ${source:Version})
+Provides:
+ ${t64:Provides},
+Replaces:
+ libpano13-3,
+Breaks:
+ libpano13-3 (<< ${source:Version}),
 Architecture: any
 Depends:
  ${misc:Depends},
